using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IProductLogic
	{
		List<ProductViewModel>? ReadList(ProductSearchModel? model);
		ProductViewModel? ReadElement(ProductSearchModel? model);
		bool Create(ProductBindingModel? model);
		bool Update(ProductBindingModel? model);
		bool Delete(ProductBindingModel? model);
	}
}
